Bug 1794965

Summary: Inkscape erroneously uses python 3 for extensions
Product: [Fedora] Fedora Reporter: Dov Grobgeld <dov.grobgeld>
Component: inkscapeAssignee: Gwyn Ciesla <gwync>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 31CC: duffy, gwync, jonathan.underwood, lkundrak, rlerch
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: inkscape-1.0-0.beta.fc31.4 Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-02-01 01:30:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Dov Grobgeld 2020-01-25 21:24:59 UTC
Description of problem:

python3 is erroneously used for extensions.

Version-Release number of selected component (if applicable):

inkscape-0.92.4-8.fc31.x86_64

How reproducible:

Every time.

Steps to Reproduce:
1. Run inkscape
2. Choose Extensions→Render→Barcode→QR Code
3. Choose default values and press Apply

Actual results:

I get the error
'''
  File "render_barcode_qrcode.py", line 1011
    print "get ", val
               ^
SyntaxError: Missing parentheses in call to 'print'. Did you mean print("get ", val)?

'''

Expected results:

The extension should run.

Additional info:

Note that the etxnsion file render_barcode_qrcode.py contains `#!/usr/bin/python2` as its first line, but apparently this is not fullfilled by the system.

Comment 1 Fedora Update System 2020-01-31 01:28:52 UTC
inkscape-1.0-0.beta.fc31.4 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d9b0269c6c

Comment 2 Fedora Update System 2020-02-01 01:30:50 UTC
inkscape-1.0-0.beta.fc31.4 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Dov Grobgeld 2020-02-02 18:47:40 UTC
I can't test whether it works or not as inkscape-1.0-0.beta.fc31.4 is currently broken and lacks Extensions→Render→QR Code (and lots of other functionality). See the related issue https://bugzilla.redhat.com/show_bug.cgi?id=1796763 .